Core - Bug # 23455
Complexity:

Is Regression:
Subject: PHP Catchable Fatal on table 'be_users' during EXPORT

Description

This error appears always and is reproducible. This happens (to me) exclusively when you go

first | select the 'icon world' to edit the record of my site

web > list > 'site title' (very root level...)

then | clic the tablename 'be users' to work only with this table.

| set (only) the field 'email' to export it.

| attempted to extract some values from the table above and when | click the icon for the export, like in the issue #0015292, the
following error appear:

t3lib_error_Exception

PHP Catchable Fatal Error: Argument 2 passed to t3lib_iconWorks::getSpritelconForRecord() must be an array, null given, called in
/var/www/typo3_src-4.4.2/typo3/sysext/impexp/app/index.php on line 839 and defined in
/var/www/typo3_src-4.4.2/t3lib/class.t3lib_iconworks.php line 735

| can't export.

The previous issue was closed by Ingo Renner; all seems to work with other tables but for this table the error comes on again, so i
believe the issue related should be re-opend.

(issue imported from #M15563)

Related issues:
related to Core - Bug # 23008: getSpritelconForRecord() accepts row data whic... Closed 2010-06-26

History

#1 - 2010-08-26 16:05 - Georg Ringer

can reproduce and will provide patch. thanks for finding this issue

#2 - 2011-02-08 09:34 - Josef Glatz

| can reproduce it in TYPOS 4.5!
#3 - 2012-08-16 13:40 - Georg Ringer
- Status changed from Accepted to Closed
- Target version deleted (0)

not reproduceable anymore in current master

Files

15563-error-export.patch 1.4 kB

15563-beuser-export-error.patch 1.4 kB
2015-08-04

2010-08-26
2011-02-08

Administrator Admin
Administrator Admin

22



